<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: RangeFinderPlot.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_range_finder_plot_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RangeFinderPlot.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_range_finder_plot_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef RANGEFINDERPLOT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define RANGEFINDERPLOT_H</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_send_data_8h.html">SendData.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_range_finder_plot.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_range_finder_plot.html">RangeFinderPlot</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1gui_1_1_send_data.html">SendData</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_range_finder_plot.html#a984eb9df29bc0262b65d470ad71599d4">RangeFinderPlot</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name,</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                  std::string x_name, <span class="keywordtype">float</span> xmin, <span class="keywordtype">float</span> xmax,</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                  std::string y_name, <span class="keywordtype">float</span> ymin, <span class="keywordtype">float</span> ymax,</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *datas, <span class="keywordtype">float</span> start_angle,</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                  <span class="keywordtype">float</span> end_angle, uint32_t nb_samples);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_range_finder_plot.html#ab793e96b2da92a3ad8de4a970f0f9f9a">~RangeFinderPlot</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *buf) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordtype">void</span> ExtraXmlEvent(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *datas;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;};</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#endif // RANGEFINDERPLOT_H</span></div>
<div class="ttc" id="classflair_1_1gui_1_1_range_finder_plot_html_ab793e96b2da92a3ad8de4a970f0f9f9a"><div class="ttname"><a href="classflair_1_1gui_1_1_range_finder_plot.html#ab793e96b2da92a3ad8de4a970f0f9f9a">flair::gui::RangeFinderPlot::~RangeFinderPlot</a></div><div class="ttdeci">~RangeFinderPlot()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_range_finder_plot_html_a984eb9df29bc0262b65d470ad71599d4"><div class="ttname"><a href="classflair_1_1gui_1_1_range_finder_plot.html#a984eb9df29bc0262b65d470ad71599d4">flair::gui::RangeFinderPlot::RangeFinderPlot</a></div><div class="ttdeci">RangeFinderPlot(const LayoutPosition *position, std::string name, std::string x_name, float xmin, float xmax, std::string y_name, float ymin, float ymax, const core::Matrix *datas, float start_angle, float end_angle, uint32_t nb_samples)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_range_finder_plot_html"><div class="ttname"><a href="classflair_1_1gui_1_1_range_finder_plot.html">flair::gui::RangeFinderPlot</a></div><div class="ttdoc">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. </div><div class="ttdef"><b>Definition:</b> RangeFinderPlot.h:37</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="_send_data_8h_html"><div class="ttname"><a href="_send_data_8h.html">SendData.h</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_send_data_html"><div class="ttname"><a href="classflair_1_1gui_1_1_send_data.html">flair::gui::SendData</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div><div class="ttdef"><b>Definition:</b> SendData.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_range_finder_plot_8h.html">RangeFinderPlot.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
